# BashTube

a YouTube frontend written in Bash using [yt-dlp](https://github.com/yt-dlp/yt-dlp). Currently a bit WiP, but we're getting better!

## Installation instructions

1. Download [HTTP.sh](https://git.sakamoto.pl/laudompat/HTTP.sh)
2. Clone this repository into `app` under HTTP.sh
3. `./http.sh`

## Dependencies

This application has been tested on Void Linux, Arch Linux and Alpine Linux. Below, I present a comprehensive list of packages needed to run it under alpine:

```
curl
file
findutils
grep
jq
nmap-ncat
python3
sed
socat
util-linux
xxd
```

Some functionality may be limited without installing the `coreutils` package, but because I love GNU as much as the next person, I strive to make BashTube fully compatible with BusyBox.

Additionally, you need to install yt-dlp, either by obtaining the source tree or by downloading the binary release from pip.

## Contributing

If you wish, write to sdomi (ja at sdomi.pl), and we'll be in touch.
